#! /usr/bin/perl -w
# escape_demo.pl - demonstrate CGI.pm output-encoding functions

use CGI qw(escapeHTML escape);	# import escapeHTML() and escape()

# Assign default string value, but use command-line argument if present
my $s = "1<=2, right?";
$s = shift (@ARGV) if @ARGV;
print "unencoded string:             ", $s, "\n";
print "encoded for use as HTML text: ", escapeHTML ($s) . "\n";
print "encoded for use in a URL:     ", escape ($s) . "\n";
