<?php
require_once "DB.php";
require_once "sampdb.php";

$conn =& DB::connect (sampdb_dsn ());
if (DB::isError ($conn))
	die ("Could not connect\n");

#@ _FRAGMENT_
$stmt = "INSERT INTO member (last_name,first_name,expiration)"
	. " VALUES(?,?,?)";
$prep_stmt = $conn->prepare ($stmt);
if (DB::isError ($prep_stmt))
	die ("Could not prepare statement\n");
$params_list = array (
	array ("Brown", "Marcia", "2005-06-03"),
	array ("O'Malley", "Brian", "2007-09-01"),
	array ("Green", "Spenser", "2006-11-15")
);
if ($conn->executeMultiple ($prep_stmt, $params_list) != DB_OK)
	die ("Could not execute statement\n");
$conn->freePrepared ($prep_stmt);
#@ _FRAGMENT_
$conn->disconnect ();
?>
