<?php
# dump_members.php - dump U.S. Historical League membership as HTML table

require_once "DB.php";
require_once "sampdb.php";

$title = "U.S. Historical League Member List";
html_begin ($title, $title);

$conn =& DB::connect (sampdb_dsn ());
if (DB::isError ($conn))
	die ("Cannot connect to server");

# issue statement
$stmt = "SELECT last_name, first_name, suffix, email,"
	. "street, city, state, zip, phone FROM member ORDER BY last_name";
$result =& $conn->query ($stmt);
if (DB::isError ($result))
	die ("Cannot execute statement");

print ("<table>\n");					# begin table
# read results of statement, and then clean up
#@ _ROW_PRINT_LOOP_
while ($row =& $result->fetchRow ($result_id))
{
	print ("<tr>\n");					# begin table row
	for ($i = 0; $i < $result->numCols (); $i++)
	{
		# escape any special characters and print table cell
		printf ("<td>%s</td>\n", htmlspecialchars ($row[$i]));
	}
	print ("</tr>\n");					# end table row
}
#@ _ROW_PRINT_LOOP_
$result->free ();
$conn->disconnect ();
print ("</table>\n");					# end table

html_end ();
?>
