<?php
# USHL home page - version 5

require_once "DB.php";
require_once "sampdb.php";

$title = "U.S. Historical League";
html_begin ($title, $title);
?>

<p>Welcome to the U.S. Historical League Web Site.</p>

<?php
$conn =& DB::connect (sampdb_dsn ());
if (DB::isError ($conn))
	exit ();
$result =& $conn->query ("SELECT COUNT(*) FROM member");
if (DB::isError ($result))
	exit ();
if ($row =& $result->fetchRow ())
	print ("<p>The League currently has " . $row[0] . " members.</p>");
$result->free ();
$conn->disconnect ();
?>

<p>
You can view the directory of members <a href="dump_members.php">here</a>.
</p>
<p>
Edit your membership entry <a href="edit_member.php">here</a>
(USHL members only).
</p>
<p>
Test your knowledge of presidential birthplaces by taking this
<a href="pres_quiz.php">quiz</a>!
</p>

<?php
html_end ();
?>
