#! /usr/bin/perl -w
#@ _COMMENT_
# dump_members.pl - dump Historical League's membership list
#@ _COMMENT_

#@ _USE_
use strict;
use DBI;
#@ _USE_

#@ _VARDECL_
my $dsn = "DBI:mysql:sampdb:localhost";	# data source name
my $user_name = "sampadm";				# username
my $password = "secret";				# password
#@ _VARDECL_

#@ _CONNECT_
# connect to database
my $dbh = DBI->connect ($dsn, $user_name, $password,
						{ RaiseError => 1, PrintError => 0, AutoCommit => 1 });
#@ _CONNECT_

#@ _ISSUE_QUERY_
# issue query
my $sth = $dbh->prepare ("SELECT last_name, first_name, suffix, email,"
	. "street, city, state, zip, phone FROM member ORDER BY last_name");
$sth->execute ();
#@ _ISSUE_QUERY_

#@ _FETCH_LOOP_
# read results of query
while (my @ary = $sth->fetchrow_array ())
{
	print join ("\t", @ary), "\n";
}
$sth->finish ();
#@ _FETCH_LOOP_

#@ _TERMINATE_
$dbh->disconnect ();
exit (0);
#@ _TERMINATE_
