#! /usr/bin/perl -w
# param.pl - show how to get input parameters in Web scripts

# invoke like this from the command line:
# param.pl "my_param=value"
# or like this to supply no parameters:
# param.pl ""

use strict;
use CGI qw(:standard);

#@ _PARAM_NAMES_
my @param = param ();
#@ _PARAM_NAMES_
print "Parameter names: @param\n";

#@ _TEST_MY_PARAM_
my $my_param = param ("my_param");
if (defined ($my_param))
{
	print "my_param value: $my_param\n";
}
else
{
	print "my_param is not set\n";
}
#@ _TEST_MY_PARAM_

exit (0);
